## osoy-0.5.1.crate

=== Makefile ===
build:
	@cargo build --release
	@rm -f osoy
	@mv target/release/osoy osoy

test:
	@cargo test

clean:
	@cargo clean

.PHONY: build test clean

=== aur/bin/PKGBUILD ===
# Maintainer: Emil Rasmus Merzin <rasmusmerzin@gmail.com>
pkgname=osoy-bin
pkgver=%VERSION%
pkgrel=1
pkgdesc='Git repository manager'
arch=('x86_64')
url='https://gitlab.com/osoy/osoy'
license=('MIT')
provides=('osoy')
conflicts=('osoy')
optdepends=('make')
source=("https://downloads.sourceforge.net/project/osoy/osoy-v%VERSION%.tar.gz")
sha1sums=('%SHA1%')
md5sums=('%MD5%')

package() {
	"${srcdir}/osoy" completions bash > "${srcdir}/bash"
	"${srcdir}/osoy" completions zsh > "${srcdir}/zsh"
	"${srcdir}/osoy" completions fish > "${srcdir}/fish"
	install -Dm755 "${srcdir}/osoy" "${pkgdir}/usr/bin/osoy"
	install -Dm644 "${srcdir}/bash" "${pkgdir}/usr/share/bash-completion/completions/osoy"
	install -Dm644 "${srcdir}/zsh" "${pkgdir}/usr/share/zsh/site-functions/_osoy"
	install -Dm644 "${srcdir}/fish" "${pkgdir}/usr/share/fish/vendor_completions.d/osoy.fish"
}

=== aur/src/PKGBUILD ===
# Maintainer: Emil Rasmus Merzin <rasmusmerzin@gmail.com>
pkgname=osoy
pkgver=%VERSION%
pkgrel=1
pkgdesc='Git repository manager'
arch=('i686' 'x86_64')
url='https://gitlab.com/osoy/osoy'
license=('MIT')
provides=('osoy')
makedepends=('cargo')
optdepends=('make')
source=("https://downloads.sourceforge.net/project/osoy/osoy-v%VERSION%-src.tar.gz")
sha1sums=('%SHA1%')
md5sums=('%MD5%')

build() {
	cd "${srcdir}"
	make
}

package() {
	"${srcdir}/osoy" completions bash > "${srcdir}/bash"
	"${srcdir}/osoy" completions zsh > "${srcdir}/zsh"
	"${srcdir}/osoy" completions fish > "${srcdir}/fish"
	install -Dm755 "${srcdir}/osoy" "${pkgdir}/usr/bin/osoy"
	install -Dm644 "${srcdir}/bash" "${pkgdir}/usr/share/bash-completion/completions/osoy"
	install -Dm644 "${srcdir}/zsh" "${pkgdir}/usr/share/zsh/site-functions/_osoy"
	install -Dm644 "${srcdir}/fish" "${pkgdir}/usr/share/fish/vendor_completions.d/osoy.fish"
}
